/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.alarmrecord.param;

import com.huimv.core.pojo.base.param.BaseParam;
import lombok.Data;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import java.util.*;

/**
* 报警记录参数类
 *
 * @author ydd
 * @date 2021-08-20 13:27:00
*/
@Data
public class AlarmRecordParam extends BaseParam {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空，请检查id参数", groups = {edit.class, delete.class, detail.class})
    private Integer id;

    /**
     * 组织id
     */
    @NotBlank(message = "组织id不能为空，请检查orgId参数", groups = {add.class, edit.class})
    private String orgId;

    /**
     * 牧场编码
     */
    @NotBlank(message = "牧场编码不能为空，请检查farmCode参数", groups = {add.class, edit.class})
    private String farmCode;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查farmName参数", groups = {add.class, edit.class})
    private String farmName;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查eartagNo参数", groups = {add.class, edit.class})
    private String eartagNo;

    /**
     * 采集器编码
     */
    @NotBlank(message = "采集器编码不能为空，请检查collectorCode参数", groups = {add.class, edit.class})
    private String collectorCode;

    /**
     * 猪舍id
     */
    @NotNull(message = "猪舍id不能为空，请检查penId参数", groups = {add.class, edit.class})
    private Integer penId;

    /**
     * 单元id
     */
    @NotNull(message = "单元id不能为空，请检查unitId参数", groups = {add.class, edit.class})
    private Integer unitId;

    /**
     * 类型
     */
    @NotNull(message = "类型不能为空，请检查alarmType参数", groups = {add.class, edit.class})
    private Integer alarmType;

    /**
     * 当前报警数值
     */
    @NotNull(message = "当前报警数值不能为空，请检查nowValue参数", groups = {add.class, edit.class})
    private Double nowValue;

    /**
     * 是否被处理-0.否--1.是
     */
    @NotNull(message = "是否被处理-0.否--1.是不能为空，请检查status参数", groups = {add.class, edit.class})
    private Integer status;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空，请检查remark参数", groups = {add.class, edit.class})
    private String remark;

}
