/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.alarmvalueset.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 报警参数设置
 *
 * @author ydd
 * @date 2021-08-20 13:23:30
 */

@Data
@TableName("alarm_value_set")
public class AlarmValueSet  {

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    //@Excel(name = "采集时间", databaseFormat = "yyyy-MM-dd HH:mm:ss", format = "yyyy-MM-dd", width = 20)
    private Date updateTime;


    /**
     * 组织id
     */
    @Excel(name = "组织id")
    private String orgId;

    /**
     * 牧场编码
     */
    @Excel(name = "牧场编码")
    private String farmCode;

    /**
     * 牧场名称
     */
    @Excel(name = "牧场名称")
    private String farmName;

    /**
     * 1.耳温高2.耳温低3.环温高4.环温低5.设备掉线6.疫病报警
     */
    @Excel(name = "1.耳温高2.耳温低3.环温高4.环温低5.设备掉线6.疫病报警")
    private Integer alarmType;

    /**
     * 设定值
     */
    @Excel(name = "设定值")
    private Double setValue;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 0.在使用  1.停止使用
     */
    @Excel(name = "0.在使用  1.停止使用")
    private Integer canStatus;




}
