/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.dailytabulatedata.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.huimv.core.pojo.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.lang.reflect.Type;
import java.util.*;
import cn.afterturn.easypoi.excel.annotation.Excel;

/**
 * 耳标每日汇总表
 *
 * @author yinhao
 * @date 2021-08-17 14:34:00
 */
@Data
@TableName("daily_tabulate_data")
public class DailyTabulateData  {

    /**
     * 
     */
//    @TableId(type = IdType.ASSIGN_ID)
     @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 组织名称
     */
    private String  orgName;
    /**
     * 组织id
     */
    private Long orgId;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期", databaseFormat = "yyyy-MM-dd HH:mm:ss", format = "yyyy-MM-dd", width = 20)
    private Date statisticDate;

    /**
     * 当日母猪总存栏
     */
    @Excel(name = "当日母猪总存栏")
    private Integer stockTotal;

    /**
     * 每日母猪新增耳标数
     */
    @Excel(name = "每日母猪新增耳标数")
    private Integer stockNew;

    /**
     * 每日离线耳标数
     */
    @Excel(name = "每日离线耳标数")
    private Integer offlineNo;

    /**
     * 能繁母猪存栏数
     */
    @Excel(name = "能繁母猪存栏数")
    private Integer sowStock;

    /**
     * 日龄占比（250-1000）
     */
    @Excel(name = "日龄占比（250-1000）")
    private String ratio1;

    /**
     * 日龄（1000-1700）
     */
    @Excel(name = "日龄（1000-1700）")
    private String ratio2;

    /**
     * 日龄（1700-2400）
     */
    @Excel(name = "日龄（1700-2400）")
    private String ratio3;

    /**
     * 日龄（>2400)
     */
    @Excel(name = "日龄（>2400)")
    private String ratio4;

    /**
     * 配怀存栏
     */
    @Excel(name = "配怀存栏")
    private Integer stock1;

    /**
     * 分娩存栏
     */
    @Excel(name = "分娩存栏")
    private Integer stock2;

    /**
     * 保育母猪
     */
    @Excel(name = "保育母猪")
    private Integer stock3;

    /**
     * 育成育肥存栏
     */
    @Excel(name = "育成育肥存栏")
    private Integer stock4;

    /**
     * 空怀舍
     */
    @Excel(name = "空怀")
    private Integer stock5;

    /**
     * 后备母猪
     */
    @Excel(name = "后备母猪")
    private Integer stock6;

    /**
     * 牧场编码
     */
    @Excel(name = "牧场编码")
    private String farmCode;

}
