/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.farmstock.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.huimv.core.pojo.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.*;
import cn.afterturn.easypoi.excel.annotation.Excel;

/**
 * 月度统计
 *
 * @author yinhao
 * @date 2021-08-17 14:45:39
 */
@Data
@TableName("farm_stock")
public class FarmStock{

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 牧场代码
     */
    @Excel(name = "牧场代码")
    private String farmCode;

    /**
     * 牧场名称
     */
    @Excel(name = "牧场名称")
    private String farmName;

    /**
     * 母猪总存栏
     */
    @Excel(name = "母猪总存栏")
    private Integer sowTotalStock;

    /**
     * 母猪新增
     */
    @Excel(name = "母猪新增")
    private Integer eartagNew;

    /**
     * 耳标离线
     */
    @Excel(name = "耳标离线")
    private Integer eartagOffone;

    /**
     * 能繁母猪存栏
     */
    @Excel(name = "能繁母猪存栏")
    private Integer sowStock;

    /**
     * 配怀存栏
     */
    @Excel(name = "配怀存栏")
    private Integer stock1;

    /**
     * 分娩存栏
     */
    @Excel(name = "分娩存栏")
    private Integer stock2;

    /**
     * 空怀存栏
     */
    @Excel(name = "空怀存栏")
    private Integer stock3;

    /**
     * 后备存栏
     */
    @Excel(name = "后备存栏")
    private Integer stock4;

    /**
     * 公猪存栏
     */
    @Excel(name = "公猪存栏")
    private Integer stock5;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private Integer month;

    /**
     * 年度
     */
    @Excel(name = "年度")
    private Integer year;

    /**
     * 地市代码
     */
    @Excel(name = "地市代码")
    private String cityCode;

    /**
     * 区县代码
     */
    @Excel(name = "区县代码")
    private String countyCode;

}
