/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.heartbeatrecord.param;

import com.huimv.core.pojo.base.param.BaseParam;
import lombok.Data;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import java.util.*;

/**
* 基站心跳参数类
 *
 * @author haohao
 * @date 2021-08-20 11:00:36
*/
@Data
public class HeartBeatRecordParam extends BaseParam {

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查id参数", groups = {edit.class, delete.class, detail.class})
    private Integer id;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查head参数", groups = {add.class, edit.class})
    private String head;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查deviceCode参数", groups = {add.class, edit.class})
    private String deviceCode;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查cmd参数", groups = {add.class, edit.class})
    private Integer cmd;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查checkNo参数", groups = {add.class, edit.class})
    private String checkNo;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查tail参数", groups = {add.class, edit.class})
    private String tail;

    /**
     * 地县编码
     */
    @NotBlank(message = "地县编码不能为空，请检查countyCode参数", groups = {add.class, edit.class})
    private String countyCode;

    /**
     * 牧场编码
     */
    @NotBlank(message = "牧场编码不能为空，请检查farmCode参数", groups = {add.class, edit.class})
    private String farmCode;

    /**
     * 猪舍id
     */
    @NotBlank(message = "猪舍id不能为空，请检查pigpenId参数", groups = {add.class, edit.class})
    private String pigpenId;

    /**
     * 单元id
     */
    @NotBlank(message = "单元id不能为空，请检查unitId参数", groups = {add.class, edit.class})
    private String unitId;

}
